Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I'm new to this area of Linux. I have a linux box which says kernel version is 2.6.18-4-amd64. It's been working as it for a long time. I needed to install subversion on the box, hence I tried apt-get. But received following:

The following extra packages will be installed:
  libneon26 libsvn1
Suggested packages:
  subversion-tools db4.4-util
The following NEW packages will be installed:
  libneon26 libsvn1 subversion
0 upgraded, 3 newly installed, 0 to remove and 88 not upgraded.
Need to get 1802kB of archives.
After unpacking 5263kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
Fetched 1802kB in 1s (1001kB/s)
W: Couldn't stat source package list http://archive.debian.org etch/main Packages (/var/lib/apt/lists/archive.debian.org_debian-security_dists_etch_main_binary-amd64_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://archive.debian.org etch/contrib Packages (/var/lib/apt/lists/archive.debian.org_debian-security_dists_etch_contrib_binary-amd64_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://archive.debian.org etch/non-free Packages (/var/lib/apt/lists/archive.debian.org_debian-security_dists_etch_non-free_binary-amd64_Packages) - stat (2 No such file or directory)
Selecting previously deselected package libneon26.
(Reading database ... 42258 files and directories currently installed.)
Unpacking libneon26 (from .../libneon26_0.26.2-4_amd64.deb) ...
Selecting previously deselected package libsvn1.
Unpacking libsvn1 (from .../libsvn1_1.4.2dfsg1-3_amd64.deb) ...
Selecting previously deselected package subversion.
Unpacking subversion (from .../subversion_1.4.2dfsg1-3_amd64.deb) ...
Setting up libneon26 (0.26.2-4) ...
ldconfig: /usr/lib/libcrypto.so.0.9.8 is not a symbolic link

Setting up libsvn1 (1.4.2dfsg1-3) ...
ldconfig: /usr/lib/libcrypto.so.0.9.8 is not a symbolic link

Setting up subversion (1.4.2dfsg1-3) ...
W: Couldn't stat source package list http://archive.debian.org etch/main Packages (/var/lib/apt/lists/archive.debian.org_debian-security_dists_etch_main_binary-amd64_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://archive.debian.org etch/contrib Packages (/var/lib/apt/lists/archive.debian.org_debian-security_dists_etch_contrib_binary-amd64_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://archive.debian.org etch/non-free Packages (/var/lib/apt/lists/archive.debian.org_debian-security_dists_etch_non-free_binary-amd64_Packages) - stat (2 No such file or directory)
W: You may want to run apt-get update to correct these problems

Upon running apt-get update I get following:

.....
 Fetched 4332kB in 5s (786kB/s)
Failed to fetch http://archive.debian.org/debian-security/dists/etch/main/binary-amd64/Packages.gz  404 Not Found [IP: 193.62.202.28 80]
Failed to fetch http://archive.debian.org/debian-security/dists/etch/contrib/binary-amd64/Packages.gz  404 Not Found [IP: 193.62.202.28 80]
Failed to fetch http://archive.debian.org/debian-security/dists/etch/non-free/binary-amd64/Packages.gz  404 Not Found [IP: 193.62.202.28 80]

Reading package lists... Done

W: Couldn't stat source package list http://archive.debian.org etch/main Packages (/var/lib/apt/lists/archive.debian.org_debian-security_dists_etch_main_binary-amd64_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://archive.debian.org etch/contrib Packages (/var/lib/apt/lists/archive.debian.org_debian-security_dists_etch_contrib_binary-amd64_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://archive.debian.org etch/non-free Packages (/var/lib/apt/lists/archive.debian.org_debian-security_dists_etch_non-free_binary-amd64_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://archive.debian.org etch/main Packages (/var/lib/apt/lists/archive.debian.org_debian-security_dists_etch_main_binary-amd64_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://archive.debian.org etch/contrib Packages (/var/lib/apt/lists/archive.debian.org_debian-security_dists_etch_contrib_binary-amd64_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://archive.debian.org etch/non-free Packages (/var/lib/apt/lists/archive.debian.org_debian-security_dists_etch_non-free_binary-amd64_Packages) - stat (2 No such file or directory)
W: You may want to run apt-get update to correct these problems
E: Some index files failed to download, they have been ignored, or old ones used instead.

sources.list:

deb http://archive.debian.org/debian-security/ etch main contrib non-free
deb http://archive.debian.org/debian/ etch main contrib non-free

Any help would be appreciated.

share|improve this question
    
BTW, Subversion should be installed correctly. As the others mentioned etch is dead. –  Zoredache Aug 22 '11 at 21:29

2 Answers 2

All final security updates for Etch were rolled into a final minor release at EOL. Thus all security updates are in the main debian repo for etch, all you need in your sources.list:

deb http://archive.debian.org/debian/ etch main contrib non-free
deb-src http://archive.debian.org/debian/ etch main contrib non-free
share|improve this answer
    
As @Zoredache said, it did install subversion correctly. Thanks Chad - I was missing deb-src in my source.list- I wasn't aware about security update being rolled into main repo. Now my apt-get update runs clean.<br/> I'll update to lenny to squeeze soon. –  r7p Aug 23 '11 at 12:57

Etch support has been discontinued for debian. Upgrade your distribution to a later one. Like squeeze

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.